com.elastisys.scale.commons.openstack

## Class AuthV2Credentials

- java.lang.Object
- - com.elastisys.scale.commons.openstack.AuthV2Credentials

    public class AuthV2Credentials
    extends Object

Password-credentials for authenticating using version 2 of the Keystone HTTP API.

See Also:
  `AuthConfig`

### Constructor Summary

Constructors
Constructor and Description
`AuthV2Credentials(String tenantName, String userName, String password)` Constructs `AuthV2Credentials`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`String` `getPassword()`
`String` `getTenantName()`
`String` `getUserName()`
`int` `hashCode()`
`void` `validate()` Validates the configuration.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthV2Credentials

    public AuthV2Credentials(String tenantName,
                             String userName,
                             String password)

Constructs `AuthV2Credentials`.

Parameters:
  `tenantName` - OpenStack account tenant name.
  `userName` - OpenStack account user name.
  `password` - OpenStack account password.

### Method Detail

#### getTenantName

    public String getTenantName()

Returns:
  the `tenantName`

#### getUserName

    public String getUserName()

Returns:
  the `userName`

#### getPassword

    public String getPassword()

Returns:
  the `password`

#### validate

    public void validate()
                  throws IllegalArgumentException

Validates the configuration. On illegal value combination(s), an `IllegalArgumentException` is thrown.

Throws:
  `IllegalArgumentException`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`